View Issue Details

IDProjectCategoryView StatusLast Update
0030508FPCRTLpublic2017-12-21 10:07
ReporterMaciej IzakAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0030508: Lack of constructors/property related to encoding for TStringStream
DescriptionTStringStream implementation has lack of few elements related to encoding (without this TStringStream is rather useless with "code-page strings" manipulations):

constructors:

    constructor Create(const ABytes: TBytes); overload;
    constructor Create(const AString: RawByteString); overload;
    constructor Create(const AString: string; AEncoding: TEncoding; AOwnsEncoding: Boolean = True); overload;
    constructor Create(const AString: string; ACodePage: Integer); overload;

property:

    property Encoding: TEncoding read FEncoding;
TagsNo tags attached.
Fixed in Revision36758
FPCOldBugId
FPCTarget
Attached Files

Relationships

has duplicate 0030592 closedMichael Van Canneyt FPC [FEATURE REQUEST] TStringStream: TEncoding support 
related to 0032812 closedOndrej Pokorny Lazarus Patch fix error on loading detail reports on windows 

Activities

Michael Van Canneyt

2017-07-21 19:09

administrator   ~0101842

Implemented. Please test and close if OK.

Issue History

Date Modified Username Field Change
2016-08-23 09:30 Maciej Izak New Issue
2016-08-23 09:39 Michael Van Canneyt Assigned To => Michael Van Canneyt
2016-08-23 09:39 Michael Van Canneyt Status new => assigned
2016-09-10 18:08 Michael Van Canneyt Relationship added has duplicate 0030592
2017-07-21 19:09 Michael Van Canneyt Fixed in Revision => 36758
2017-07-21 19:09 Michael Van Canneyt Note Added: 0101842
2017-07-21 19:09 Michael Van Canneyt Status assigned => resolved
2017-07-21 19:09 Michael Van Canneyt Fixed in Version => 3.1.1
2017-07-21 19:09 Michael Van Canneyt Resolution open => fixed
2017-07-21 19:09 Michael Van Canneyt Target Version => 3.2.0
2017-12-21 10:07 Juha Manninen Relationship added related to 0032812